Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_POA_RT_Policy_Validator Class Reference

`#include <RT_Policy_Validator.h>`

Inheritance diagram for TAO_POA_RT_Policy_Validator:

[legend]
Collaboration diagram for TAO_POA_RT_Policy_Validator:

[legend]
List of all members.

## Public Methods
| TAO_POA_RT_Policy_Validator (TAO_ORB_Core &orb_core)
| Constructor.
| ~TAO_POA_RT_Policy_Validator (void)
| Destructor.
## Static Public Methods
TAO_Thread_Pool * | extract_thread_pool (TAO_ORB_Core &orb_core, TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
TAO_Acceptor_Registry * | extract_acceptor_registry (TAO_ORB_Core &orb_core, TAO_Thread_Pool *thread_pool)
## Protected Methods
void | validate_impl (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
void | merge_policies_impl (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
| Add/merge policies.
virtual CORBA::Boolean | legal_policy_impl (CORBA::PolicyType type)
## Private Methods
void | validate_server_protocol (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
void | validate_priorities (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
void | validate_thread_pool (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
void | validate_lifespan (TAO_Policy_Set &policies ACE_ENV_ARG_DECL)
TAO_Acceptor_Registry * | acceptor_registry (void)
## Private Attributes
TAO_Acceptor_Registry * | acceptor_registry_
TAO_Thread_Pool * | thread_pool_

## Constructor & Destructor Documentation

TAO_POA_RT_Policy_Validator::TAO_POA_RT_Policy_Validator | ( | TAO_ORB_Core & | orb_core | ) |

| Constructor.

TAO_POA_RT_Policy_Validator::~TAO_POA_RT_Policy_Validator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

TAO_Acceptor_Registry * TAO_POA_RT_Policy_Validator::acceptor_registry | ( | void |  | ) | `[private]`

TAO_Acceptor_Registry * TAO_POA_RT_Policy_Validator::extract_acceptor_registry | ( | TAO_ORB_Core & | orb_core,
|  | TAO_Thread_Pool * | thread_pool
| ) | `[static]`

TAO_Thread_Pool * TAO_POA_RT_Policy_Validator::extract_thread_pool | ( | TAO_ORB_Core & | orb_core,
|  | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL
| ) | `[static]`

CORBA::Boolean TAO_POA_RT_Policy_Validator::legal_policy_impl | ( | CORBA::PolicyType | type | ) | `[protected, virtual]`

| Return whether the specified policy type is legal for the current configuration. This is needed since the user can potentially specify policies that are unknown to an validate () routine, and these need to be caught. Implements TAO_Policy_Validator.

void TAO_POA_RT_Policy_Validator::merge_policies_impl | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Add/merge policies. Implements TAO_Policy_Validator.

void TAO_POA_RT_Policy_Validator::validate_impl | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Validate that the policies in the specified set are consistent and legal. Throw an appropriate exception if that is not the case. Implements TAO_Policy_Validator.

void TAO_POA_RT_Policy_Validator::validate_lifespan | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[private]`

void TAO_POA_RT_Policy_Validator::validate_priorities | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[private]`

void TAO_POA_RT_Policy_Validator::validate_server_protocol | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[private]`

void TAO_POA_RT_Policy_Validator::validate_thread_pool | ( | TAO_Policy_Set &policies | ACE_ENV_ARG_DECL | ) | `[private]`

## Member Data Documentation

TAO_Acceptor_Registry* TAO_POA_RT_Policy_Validator::acceptor_registry_`[private]`

TAO_Thread_Pool* TAO_POA_RT_Policy_Validator::thread_pool_`[private]`

The documentation for this class was generated from the following files:

- RT_Policy_Validator.h
- RT_Policy_Validator.cpp